Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 230805 - media-gfx/xnviewmp - (ebuild request - was x11-misc/xnview)
Summary: media-gfx/xnviewmp - (ebuild request - was x11-misc/xnview)
Status: CONFIRMED
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: New packages (show other bugs)
Hardware: All Linux
: High enhancement with 6 votes (vote)
Assignee: Default Assignee for New Packages
URL: http://www.xnview.com/
Whiteboard:
Keywords: EBUILD
Depends on:
Blocks:
 
Reported: 2008-07-04 23:16 UTC by Daniel Pielmeier
Modified: 2018-11-11 08:38 UTC (History)
7 users (show)

See Also:
Package list:
Runtime testing required: ---


Attachments
xnviewmp-0.015_alpha.ebuild (xnviewmp-0.015_alpha.ebuild,734 bytes, text/plain)
2008-07-04 23:17 UTC, Daniel Pielmeier
Details
xnviewmp v0.21 beta ebuild (xnviewmp-0.21_beta.ebuild,1.12 KB, text/plain)
2010-01-18 01:13 UTC, K. Posern
Details
xnviewmp-0.35_beta.ebuild (xnviewmp-0.35_beta.ebuild,1.22 KB, text/plain)
2011-02-02 19:18 UTC, Karol Grudziński
Details
XnViewMP 0.39 released (xnviewmp-0.39_beta.ebuild,1.30 KB, text/plain)
2011-10-18 15:22 UTC, Yevgeny Filatov
Details
xnviewmp-0.61.ebuild (xnviewmp-0.61.ebuild,1.21 KB, text/plain)
2013-11-19 13:07 UTC, Lars Wendler (Polynomial-C)
Details
xnviewmp-0.61.ebuild (xnviewmp-0.61.ebuild,1.21 KB, text/plain)
2013-11-19 13:30 UTC, Lars Wendler (Polynomial-C)
Details
xnviewmp-0.68.ebuild (xnviewmp-0.68.ebuild,1.39 KB, text/plain)
2014-06-14 12:09 UTC, Daniel Pielmeier
Details
fixed ebuild for no kde with dev-qt/qtphonon (xnviewmp-068.ebuild,1.39 KB, text/plain)
2014-06-14 19:06 UTC, tman
Details
xnviewmp-0.68.ebuild (xnviewmp-0.68.ebuild,1.37 KB, text/plain)
2014-06-15 08:54 UTC, Daniel Pielmeier
Details
xnviewmp-072.ebuild (xnviewmp-072.ebuild,1.37 KB, text/plain)
2015-02-13 18:12 UTC, tman
Details
xnviewmp-078.ebuild (xnviewmp-078.ebuild,1.37 KB, text/plain)
2016-03-06 16:23 UTC, DrSlony
Details
media-gfx/xnviewmp-083.ebuild (xnviewmp-083.ebuild,1.42 KB, text/plain)
2016-10-21 13:34 UTC, DrSlony
Details
xnviewmp-0.87.ebuild (xnviewmp-0.87.ebuild,3.48 KB, text/plain)
2017-09-10 22:35 UTC, Sergey Torokhov
Details
xnviewmp-0.87.ebuild (xnviewmp-0.87.ebuild,3.93 KB, text/plain)
2017-09-12 07:38 UTC, Sergey Torokhov
Details
xnviewmp-0.87.ebuild (xnviewmp-0.87.ebuild,4.15 KB, text/plain)
2017-09-12 11:55 UTC, Sergey Torokhov
Details
xnviewmp-0.87.ebuild (xnviewmp-0.87.ebuild,4.42 KB, text/plain)
2017-09-17 00:45 UTC, Sergey Torokhov
Details
xnviewmp-089.ebuild (xnviewmp-089.ebuild,4.66 KB, text/plain)
2018-02-03 10:00 UTC, Wojciech Myrda
Details
apulse-9999.ebuild (apulse-9999.ebuild,1.19 KB, text/plain)
2018-02-05 14:39 UTC, Sergey Torokhov
Details
xnviewmp-0.89.ebuild (xnviewmp-0.89.ebuild,4.76 KB, text/plain)
2018-02-05 14:40 UTC, Sergey Torokhov
Details
xnviewmp-0.90.ebuild (xnviewmp-0.90.ebuild,4.73 KB, text/plain)
2018-10-09 23:41 UTC, Sergey Torokhov
Details
xnviewmp-0.92.ebuild (xnviewmp-0.92.ebuild,4.73 KB, text/plain)
2018-10-09 23:46 UTC, Sergey Torokhov
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Daniel Pielmeier gentoo-dev 2008-07-04 23:16:54 UTC
Xnview has been dropped from the tree, because of missing updates and security issues.

Now there is work in progress for a new version. A few alpha versions have already been released.

The following ebuild is for Xnview MP 0.015 alpha.
Comment 1 Daniel Pielmeier gentoo-dev 2008-07-04 23:17:12 UTC
Created attachment 159582 [details]
xnviewmp-0.015_alpha.ebuild
Comment 2 Carsten Lohrke (RETIRED) gentoo-dev 2008-07-05 14:59:49 UTC
- emtpy DEPEND is surely incorrect.
Comment 3 Daniel Pielmeier gentoo-dev 2008-07-05 15:08:44 UTC
(In reply to comment #2)
> - emtpy DEPEND is surely incorrect.
> 

May I ask why, it is a binary!
Comment 4 Daniel Pielmeier gentoo-dev 2008-07-13 23:48:14 UTC
(In reply to comment #3)
> (In reply to comment #2)
> > - emtpy DEPEND is surely incorrect.
> > 
> 
> May I ask why, it is a binary!
> 

or should it be DEPEND="RDEPEND"?
Comment 5 Carsten Lohrke (RETIRED) gentoo-dev 2008-07-14 00:37:38 UTC
(In reply to comment #3)
> May I ask why, it is a binary!

Ew, taking everything back. Didn't know/expect this to be some proprietary application. Pardon. :)

Comment 6 Daniel Pielmeier gentoo-dev 2008-07-14 00:48:06 UTC
(In reply to comment #5)
> (In reply to comment #3)
> > May I ask why, it is a binary!
> 
> Ew, taking everything back. Didn't know/expect this to be some proprietary
> application. Pardon. :)
> 

Unfortunately it is! :-) But i have not seen any image viewer who can compete with xnview at least regarding the supported image types!
Comment 7 Daniel Pielmeier gentoo-dev 2009-07-20 11:47:21 UTC
Looks like I was the only one interested in this program which is not true anymore. There are a few non binary image viewer alternatives out there.

I mark this bug as WONTFIX meanwhile. Please reopen if there is popular demand.
Comment 8 David Ferenczi 2009-08-09 17:51:23 UTC
XnView MP is the best image viewer, and I'm still very interested in an ebuild update.
Comment 9 Michael 2009-09-06 22:36:19 UTC
I agree. It would be so nice if it was available for linux. But I must admit that the upstream version is not that perfect right now...
Comment 10 K. Posern 2010-01-18 01:13:20 UTC
Created attachment 216775 [details]
xnviewmp v0.21 beta ebuild
Comment 11 Daniel Pielmeier gentoo-dev 2010-01-18 08:06:33 UTC
Reopening. Maybe there is a developer who wants to maintain it.
Comment 12 Karol Grudziński 2011-02-02 19:18:12 UTC
Created attachment 261365 [details]
xnviewmp-0.35_beta.ebuild
Comment 13 Ivan Asmer 2011-02-28 12:42:24 UTC
(In reply to comment #12)
> Created an attachment (id=261365) [details]
> Ebuild for new version
> 

Thanks. Works good on ~amd64
Comment 14 Yevgeny Filatov 2011-10-18 15:22:36 UTC
Created attachment 290165 [details]
XnViewMP 0.39 released

Version bump to 0.39
http://newsgroup.xnview.com/viewtopic.php?f=60&t=24056
Comment 15 tman 2013-08-27 23:33:50 UTC
i am interested in this software too. i dont find any compared software for linux. so it would be nice if it can be put in main tree in up to date version.


thanks alot.
Comment 16 Lars Wendler (Polynomial-C) gentoo-dev 2013-11-19 13:07:27 UTC
Created attachment 363568 [details]
xnviewmp-0.61.ebuild

Updated ebuild. Please test...
Comment 17 Lars Wendler (Polynomial-C) gentoo-dev 2013-11-19 13:30:43 UTC
Created attachment 363570 [details]
xnviewmp-0.61.ebuild

Small fix.
Comment 18 tman 2014-05-03 21:39:52 UTC
please bump the build to version 0.64.

thanks
Comment 19 tman 2014-06-14 00:09:23 UTC
>>> Fetching (1 of 1) media-gfx/xnviewmp-064::lokal
>>> Downloading 'http://distfiles.gentoo.org/distfiles/XnViewMP-linux-x64.tgz'
--2014-06-14 02:07:59--  http://distfiles.gentoo.org/distfiles/XnViewMP-linux-x64.tgz
Resolving distfiles.gentoo.org... 140.211.166.134, 156.56.247.195, 216.165.129.135, ...
Connecting to distfiles.gentoo.org|140.211.166.134|:80... connected.
HTTP request sent, awaiting response... 404 Not Found
2014-06-14 02:07:59 ERROR 404: Not Found.

>>> Downloading 'http://download.xnview.com/XnViewMP-linux-x64.tgz'
--2014-06-14 02:07:59--  http://download.xnview.com/XnViewMP-linux-x64.tgz
Resolving download.xnview.com... 178.33.105.203
Connecting to download.xnview.com|178.33.105.203|:80... connected.
HTTP request sent, awaiting response... 200 OK
Length: 27715512 (26M) [application/x-gzip]
Saving to: ‘/mnt/portage/distfiles/XnViewMP-linux-x64.tgz’

100%[=============================================================================>] 27.715.512  3,00MB/s   in 9,4s   

2014-06-14 02:08:09 (2,82 MB/s) - ‘/mnt/portage/distfiles/XnViewMP-linux-x64.tgz’ saved [27715512/27715512]

!!! Fetched file: XnViewMP-linux-x64.tgz VERIFY FAILED!
!!! Reason: Filesize does not match recorded size
!!! Got:      27715512
!!! Expected: 27465469
Refetching... File renamed to '/mnt/portage/distfiles/XnViewMP-linux-x64.tgz._checksum_failure_.by_2u5'

!!! Couldn't download 'XnViewMP-linux-x64.tgz'. Aborting.
 * Fetch failed for 'media-gfx/xnviewmp-064'
Comment 20 Daniel Pielmeier gentoo-dev 2014-06-14 12:09:04 UTC
Created attachment 378878 [details]
xnviewmp-0.68.ebuild

Upstream now provides versioned tarballs, however old versions are moved to from http://download.xnview.com/ to http://download.xnview.com/old_versions/. So every time a new version appears the old ebuilds can not fetch the tarballs anymore.
Comment 21 tman 2014-06-14 18:33:42 UTC
 # emerge xnviewmp

 * IMPORTANT: 1 news items need reading for repository 'gentoo'.
 * Use eselect news to read news items.

Calculating dependencies... done!
[ebuild  N     ] dev-util/automoc-0.9.88 
[ebuild  N     ] media-plugins/gst-plugins-soup-0.10.31 
[ebuild  N     ] media-libs/phonon-4.7.1-r1  USE="gstreamer pulseaudio qt4 (-aqua) -debug -designer (-qt5) -vlc (-zeitgeist)" 
[ebuild  N     ] media-libs/phonon-gstreamer-4.7.1  USE="alsa network qt4 -debug (-qt5)" 
[ebuild  N     ] media-gfx/xnviewmp-068 
[blocks B      ] dev-qt/qtphonon:4 ("dev-qt/qtphonon:4" is hard blocking media-libs/phonon-4.7.1-r1)
[blocks B      ] media-libs/phonon ("media-libs/phonon" is blocking dev-qt/qtphonon-4.8.5)

 * Error: The above package list contains packages which cannot be
 * installed at the same time on the same system.

  (media-libs/phonon-4.7.1-r1:0/0::gentoo, ebuild scheduled for merge) pulled in by
    media-libs/phonon required by (media-gfx/xnviewmp-068:0/0::lokal, ebuild scheduled for merge)
    >=media-libs/phonon-4.7.0[qt4?,qt5?] (>=media-libs/phonon-4.7.0[qt4]) required by (media-libs/phonon-gstreamer-4.7.1:0/0::gentoo, ebuild scheduled for merge)


For more information about Blocked Packages, please refer to the following
section of the Gentoo Linux x86 Handbook (architecture is irrelevant):


Portage 2.2.10 (default/linux/amd64/13.0/desktop, gcc-4.8.2, glibc-2.19, 3.15.0-gentoo-r1 x86_64)
=================================================================
System uname: Linux-3.15.0-gentoo-r1-x86_64-Intel-R-_Core-TM-_i7-3740QM_CPU_@_2.70GHz-with-gentoo-2.2
KiB Mem:    24627364 total,  22602032 free
KiB Swap:   25598972 total,  25598972 free
Timestamp of tree: Sat, 14 Jun 2014 17:00:01 +0000
ld GNU ld (Gentoo 2.24 p1.4) 2.24
app-shells/bash:          4.2_p47
dev-java/java-config:     2.2.0
dev-lang/python:          2.7.6-r1, 3.3.5, 3.4.0
dev-util/cmake:           2.8.12.2-r1
dev-util/pkgconfig:       0.28-r1
sys-apps/baselayout:      2.2
sys-apps/openrc:          0.12.4
sys-apps/sandbox:         2.6-r1
sys-devel/autoconf:       2.13, 2.69
sys-devel/automake:       1.11.6, 1.14.1
sys-devel/binutils:       2.24-r3
sys-devel/gcc:            4.8.2
sys-devel/gcc-config:     1.8
sys-devel/libtool:        2.4.2-r1
sys-devel/make:           4.0-r1
sys-kernel/linux-headers: 3.14 (virtual/os-headers)
sys-libs/glibc:           2.19
Repositories: gentoo bitcoin steam-overlay bumblebee printer-drivers lokal
ACCEPT_KEYWORDS="amd64 ~amd64"
ACCEPT_LICENSE="*"
CBUILD="x86_64-pc-linux-gnu"
CFLAGS="-march=corei7 -O2 -pipe"
CHOST="x86_64-pc-linux-gnu"
CONFIG_PROTECT="/etc /usr/share/gnupg/qualified.txt /var/lib/hsqldb"
CONFIG_PROTECT_MASK="/etc/ca-certificates.conf /etc/dconf /etc/env.d /etc/fonts/fonts.conf /etc/gconf /etc/gentoo-release /etc/php/apache2-php5.5/ext-active/ /etc/php/cgi-php5.5/ext-active/ /etc/php/cli-php5.5/ext-active/ /etc/revdep-rebuild /etc/sandbox.d /etc/terminfo /etc/texmf/language.dat.d /etc/texmf/language.def.d /etc/texmf/updmap.d /etc/texmf/web2c"
CXXFLAGS="-march=corei7 -O2 -pipe"
DISTDIR="/mnt/portage/distfiles"
FCFLAGS="-O2 -pipe"
FEATURES="assume-digests binpkg-logs config-protect-if-modified distlocks ebuild-locks fixlafiles merge-sync news parallel-fetch preserve-libs protect-owned sandbox sfperms strict unknown-features-warn unmerge-logs unmerge-orphans userfetch userpriv usersandbox usersync"
FFLAGS="-O2 -pipe"
GENTOO_MIRRORS="http://distfiles.gentoo.org"
LANG="de_DE.UTF-8"
LC_ALL=""
LDFLAGS="-Wl,-O1 -Wl,--as-needed"
MAKEOPTS="-j9"
PKGDIR="/mnt/portage/packages"
PORTAGE_CONFIGROOT="/"
PORTAGE_RSYNC_OPTS="--recursive --links --safe-links --perms --times --omit-dir-times --compress --force --whole-file --delete --stats --human-readable --timeout=180 --exclude=/distfiles --exclude=/local --exclude=/packages"
PORTAGE_TMPDIR="/var/tmp"
Comment 22 tman 2014-06-14 19:06:40 UTC
Created attachment 378894 [details]
fixed ebuild for no kde with dev-qt/qtphonon
Comment 23 Daniel Pielmeier gentoo-dev 2014-06-15 08:54:41 UTC
Created attachment 378924 [details]
xnviewmp-0.68.ebuild

If it is really needed it should be:
|| ( dev-qt/qtphonon:4 media-libs/phonon )

But I think we can leave this dependency as the current ebuild ships this libraries as well as exiftool which is the reason for the perl dependency.
Comment 24 tman 2015-02-13 18:12:16 UTC
Created attachment 396398 [details]
xnviewmp-072.ebuild

new version with some download links modification
Comment 25 DrSlony 2015-04-23 21:13:55 UTC
Thank you, runs fine on amd64.

Would be nice if someone added this to portage.
Comment 26 DrSlony 2016-03-05 12:05:44 UTC
Currently the latest version of XnView MP is 0.78.
The website's functionality and actuality is sloppy, the forum is more reliable:
http://newsgroup.xnview.com/viewforum.php?f=82
Comment 27 DrSlony 2016-03-06 16:23:34 UTC
Created attachment 427616 [details]
xnviewmp-078.ebuild

Relying on libpng:1.2 is unnecessary, works fine with 1.6.
Comment 28 Wojciech Myrda 2016-04-30 06:51:51 UTC
there is new version 0.79. Ebuild however installs huge amount of binary libraries therefore /opt/XnView/lib/ is over 100Mb. Does it have to be that way? One would think system libraries should be enough if one has them installed.
Comment 29 tman 2016-05-27 21:52:41 UTC
(In reply to Wojciech Myrda from comment #28)
> there is new version 0.79. Ebuild however installs huge amount of binary
> libraries therefore /opt/XnView/lib/ is over 100Mb. Does it have to be that
> way? One would think system libraries should be enough if one has them
> installed.

how u got this version 0.79 installed.  if only got 

 # ebuild xnviewmp-079.ebuild digest
Refetching... File renamed to '/mnt/portage/distfiles/XnViewMP-linux.tgz._checksum_failure_.b0axwwzm'

>>> Downloading 'http://distfiles.gentoo.org/distfiles/XnViewMP-linux.tgz'
--2016-05-27 23:52:08--  http://distfiles.gentoo.org/distfiles/XnViewMP-linux.tgz
Resolving distfiles.gentoo.org... 64.50.233.100, 64.50.236.52, 137.226.34.46, ...
Connecting to distfiles.gentoo.org|64.50.233.100|:80... connected.
HTTP request sent, awaiting response... 404 Not Found
2016-05-27 23:52:09 ERROR 404: Not Found.

>>> Downloading 'http://download.xnview.com/XnViewMP-linux.tgz'
--2016-05-27 23:52:09--  http://download.xnview.com/XnViewMP-linux.tgz
Resolving download.xnview.com... 178.33.105.203
Connecting to download.xnview.com|178.33.105.203|:80... connected.
HTTP request sent, awaiting response... 200 OK
Length: 53509221 (51M) [application/x-gzip]
Saving to: ‘/mnt/portage/distfiles/XnViewMP-linux.tgz’

/mnt/portage/distfiles/XnView 100%[================================================>]  51,03M  5,02MB/s    in 11s     

2016-05-27 23:52:19 (4,75 MB/s) - ‘/mnt/portage/distfiles/XnViewMP-linux.tgz’ saved [53509221/53509221]

!!! Fetched file: XnViewMP-linux.tgz VERIFY FAILED!
!!! Reason: Filesize does not match recorded size
!!! Got:      53509221
!!! Expected: 27934001
Refetching... File renamed to '/mnt/portage/distfiles/XnViewMP-linux.tgz._checksum_failure_.b0axwwzm'

!!! Couldn't download 'XnViewMP-linux.tgz'. Aborting.
!!! Fetch failed for XnViewMP-linux.tgz, can't update Manifest
!!! If you would like to forcefully replace the existing Manifest entry
!!! for XnViewMP-linux.tgz, use the following command:
Comment 30 DrSlony 2016-06-14 07:29:59 UTC
XnView MP 0.79 is out.

1. Remove the old tarball from /usr/portage/distfiles/
2. Rename the ebuild to xnviewmp-079.ebuild
3. ebuild xnviewmp-079.ebuild digest
   It must download the new tarball at this point, otherwise you will get the "verify failed" error while emerging. If it download the new tarball it means the old tarball is still lingering around.
Comment 31 DrSlony 2016-06-14 07:31:10 UTC
*If it _does not_ download the new tarball
Comment 32 DrSlony 2016-10-21 13:34:30 UTC
Created attachment 450886 [details]
media-gfx/xnviewmp-083.ebuild

Previous ebuilds were essentially broken because the retrieved tarball had no version, so if you emerged =media-gfx/xnviewmp-0.81 and then emerged =media-gfx/xnviewmp-0.83 you would still end up with 0.81 installed.
The old tarball issue is solved by getting tarballs with a version in their filename from http://download.xnview.com/old_versions/
This ebuild does that.
Comment 33 Amy Liffey gentoo-dev 2016-12-12 11:12:11 UTC
Hello,
Would you be willing to maintain this package through Proxy Maintainers project?

https://wiki.gentoo.org/wiki/Project:Proxy_Maintainers

Thank you for your contribution.
Comment 34 DrSlony 2016-12-12 13:17:24 UTC
Hello

I am heavily involved in other projects and lack the time to take on this responsibility. I may provide ebuilds here in the future.
Comment 35 Sergey Torokhov 2017-09-10 22:35:38 UTC
Created attachment 493810 [details]
xnviewmp-0.87.ebuild

XnViewMP 0.87 was released on 7 Sep, 2017.

I did some modifications of ebuild from overlays (https://gpo.zugaina.org/media-gfx/xnviewmp) and now application successfully launches after installation both with "bundled-libs" and without this use-flag.

With internal "bundled-libs" the application wants the "libpulse.so", therefor the conditional dependencies from pulseaudio and apulse were added.

Unfortunately I don't know how to add multilib support for adding an appropriate symlink to "libpulse.so" for 32-bit version of apulse. Could anybody help with this case?

Also there is a standalone XnConvert application (https://bugs.gentoo.org/show_bug.cgi?id=630624 : ebuild attached there) that is a part of XnViewMP.
Comment 36 Sergey Torokhov 2017-09-12 07:38:44 UTC
Created attachment 494092 [details]
xnviewmp-0.87.ebuild

Changes: 
additional "gstreamer" USE-flag for optional Audio/Video support;
some internal comments in ebuild-file.
Comment 37 Sergey Torokhov 2017-09-12 11:55:32 UTC
Created attachment 494216 [details]
xnviewmp-0.87.ebuild

Changes:

Removing mirror restriction due to licence agreement and XnView project forum topic
( http://newsgroup.xnview.com/viewtopic.php?f=82&t=36255&p=145105#p145089 )

Adding "sensors" use-flag, that adds optional sensor input. If "bundled-libs" is checked the "sensors" use-flag must be disabled as first one installs own appropriate lib.

Removing unnecessary dependency of qtimageformats:5.

Adding additional "einfo" output about limitation in case of commercial use.
Comment 38 Sergey Torokhov 2017-09-17 00:45:44 UTC
Created attachment 494792 [details]
xnviewmp-0.87.ebuild

Changes:

LICENSE variable was setted to "free-noncomm".

Removing some XnViewMP libs in "src_prepare" section if "gstreamer" use-flag wan't set to avoid of appearing of warning message about "preserved libs".
Comment 39 Wojciech Myrda 2018-02-03 10:00:59 UTC
Created attachment 517642 [details]
xnviewmp-089.ebuild

Updated ebuild for new version 0.89. Changes include
- added more bundled libs from ICU
- updated QT bundled list
- rephrased somewhat license statement for it to sound more like a requirement not  an order.
- added strip to restrict in order to silence warning of prestripped libraries

Application worked fine with exception of the warning I got at the exit
- /opt/XnView/XnView: relocation error: /opt/XnView/lib/platformthemes/libqgtk3.so: symbol _ZdlPvm, version Qt_5 not defined in file libQt5Core.so.5 with link time reference

I am not sure if it needs to be fixed and how, but like I said it works nevertheless.
Comment 40 Sergey Torokhov 2018-02-05 14:39:57 UTC
Created attachment 517874 [details]
apulse-9999.ebuild
Comment 41 Sergey Torokhov 2018-02-05 14:40:47 UTC
Created attachment 517876 [details]
xnviewmp-0.89.ebuild
Comment 42 Sergey Torokhov 2018-02-05 14:51:39 UTC
(In reply to Wojciech Myrda from comment #39)
> Created attachment 517642 [details]
> xnviewmp-089.ebuild
> 
> Updated ebuild for new version 0.89. Changes include
> - added more bundled libs from ICU
> - updated QT bundled list
> - rephrased somewhat license statement for it to sound more like a
> requirement not  an order.
> - added strip to restrict in order to silence warning of prestripped
> libraries
> 
> Application worked fine with exception of the warning I got at the exit
> - /opt/XnView/XnView: relocation error:
> /opt/XnView/lib/platformthemes/libqgtk3.so: symbol _ZdlPvm, version Qt_5 not
> defined in file libQt5Core.so.5 with link time reference
> 
> I am not sure if it needs to be fixed and how, but like I said it works
> nevertheless.

Great thanks for update of ebuild!

I tested it without pulseaudio (with apulse installed) and XnViewMp requires "libpulse-mainloop-glib.so" library that was also implemented in apulse after issue:

https://github.com/i-rinat/apulse/issues/60

So I attached apulse-9999.ebuild to current issue and updated xnviewmp-0.89.ebuild that creates appropriate symlink for this library if apulse is used instead of pulseaudio.

If "bundled-libs" isn't used than ebuild must install dev-qt libraries of ":5/5.9" branch but as I didn't test installation with this branch I leave dependencies for dev-qt libraries just as ":5".
Comment 43 Sergey Torokhov 2018-10-09 23:41:10 UTC
Created attachment 550308 [details]
xnviewmp-0.90.ebuild

XnViewMP 0.90 update (with dependency of >=media-sound/apulse-0.1.11).

The support x86 platform was droped since this version.
Comment 44 Sergey Torokhov 2018-10-09 23:46:32 UTC
Created attachment 550310 [details]
xnviewmp-0.92.ebuild

XnViewMP 0.92 update (skip 0.91 update due to some upstream bugs).

Tested launching this time only with USE="bundled-libs", because currently I removed dev-qt/qtwebkit from my system.

During merge there are warning messages:
> scanelf: rpath_security_checks(): Security problem with relative DT_RUNPATH '.:/usr/local/lib:/home/pierre/Qt5.9.5/5.9.5/gcc_64/lib' 
> in /var/tmp/portage/media-gfx/xnviewmp-0.92/image/opt/XnView/lib/libQtAVWidgets.so.1.12.0

> scanelf: rpath_security_checks(): Security problem with relative DT_RUNPATH '.:/usr/local/lib:/home/pierre/Qt5.9.5/5.9.5/gcc_64/lib' 
> in /var/tmp/portage/media-gfx/xnviewmp-0.92/image/opt/XnView/lib/libQtAV.so.1.12.0